Bug Hunting Session
Bug 109342 - FILESAVE Writer crashes saving this DOC
Summary: FILESAVE Writer crashes saving this DOC
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.4.0.2 rc
Hardware: All All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2017-07-25 16:44 UTC by Aron Budea
Modified: 2017-07-26 08:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["mergedlo.dll"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-07-25 16:44:14 UTC
Open attachment 134757 [details] from bug 109251, and save it again (keep format as DOC).

=> Writer crashes.

Crash report:
http://crashreport.libreoffice.org/stats/crash_details/4303bf40-4cb7-4d1d-950f-900eda322776
The first frame is not very useful, but the next one is: WW8Export::WriteFkpPlcUsw()

Crash introduced by:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=d72e0cadceb0b43928a9b4f18d75c9d5d30afdda
author		Szymon Kłos <szymon.klos@collabora.com>	2017-06-19 13:32:16 (GMT)
committer	Andras Timar <andras.timar@collabora.com>	2017-06-28 20:38:49 (GMT)

"Watermark: tdf#91687 correct size in the .doc"

Fixed by:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=661fa18d424690e1c3bce4ac70a8018dabe82637
author		Caolán McNamara <caolanm@redhat.com>	2017-07-06 14:57:50 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-07-06 15:20:16 (GMT)

"crashtesting: 554 crashing documents on export to .doc"

Fix was only backported to 5.4 today, so the crash affects 5.4.0.2 & 5.4.0.3 / all OSes.
People might encounter and report this, so I opened a bug report with details in anticipation.